<template>
  <ion-page>
    <ion-header>
      <ion-toolbar>
        <ion-title>Welcome</ion-title>
        <ion-buttons slot="end">
          <ion-button router-link="/about">About</ion-button>
          <ion-button router-link="/register">Register</ion-button>
        </ion-buttons>
      </ion-toolbar>
    </ion-header>

    <ion-content class="ion-padding">
      <div class="table-wrapper">
        <table>
          <thead>
            <tr>
              <th>App Name</th>
              <th>Blockchain</th>
              <th>Token Support</th>
              <th>Smart Contracts</th>
              <th>Consensus Mechanism</th>
            </tr>
          </thead>
          <tbody>
            <tr>
              <td>My App</td>
              <td>Ethereum</td>
              <td>ERC-20</td>
              <td>Yes</td>
              <td>Proof of Work</td>
            </tr>
            <tr>
              <td>Another App</td>
              <td>EOSIO</td>
              <td>EOS</td>
              <td>Yes</td>
              <td>Delegated Proof of Stake</td>
            </tr>
            <tr>
              <td>Third App</td>
              <td>Stellar</td>
              <td>XLM</td>
              <td>No</td>
              <td>Federated Byzantine Agreement</td>
            </tr>
          </tbody>
        </table>
      </div>
    </ion-content>
  </ion-page>
</template>

<script lang="ts">
import { IonContent, IonPage, IonHeader, IonToolbar, IonTitle, IonButtons, IonButton } from '@ionic/vue';

export default {
  components: {
    IonContent, IonPage, IonHeader, IonToolbar,
    IonTitle, IonButtons, IonButton
  },
}

</script>

<style scoped>
  .table-wrapper {
    overflow-x: auto;
  }
  
  table {
    width: 100%;
    border-collapse: collapse;
  }

  th,
  td {
    padding: 12px 8px;
    text-align: center;
    border: 1px solid #ddd;
  }

  th {
    background-color: #f2f2f2;
    font-weight: bold;
    color: #444;
  }

  tbody tr:nth-child(even) {
    background-color: #f2f2f2;
  }

  tbody tr:hover {
    background-color: #ddd;
  }
</style>

